# Update a rental discount plan assignment Endpoint: PATCH /rental-discount-plan-assignments/{assignmentLevel}/{rental_discount_plan_assignment_id} Version: 1.16 Security: bearerAuth ## Path parameters: - `assignmentLevel` (string, required) Assignment level to be updated - CUSTOMER, SITE or INVENTORY Enum: "CUSTOMER", "SITE", "INVENTORY" - `rental_discount_plan_assignment_id` (integer, required) Rental discount plan assignment identifier Example: 1 ## Request fields (application/json-patch+json): - `op` (string, required) The JSON Patch operation to be performed Enum: "add", "remove", "replace", "move", "copy", "test" - `path` (string, required) A JSON-Pointer - `value` (object) The value to be used within the operations - `from` (string) A string containing a JSON Pointer value ## Response 200 fields (application/json): - `id` (integer) Rental discount plan assignment identifier Example: 1 - `assignmentLevel` (string, required) Rental discount plans can be assigned at customer, site or product inventory levels - use the appropriate level to determine which fields are required. Note that inventory level assignments are only allowed if a site or customer level assignment already exists. Example: "CUSTOMER, SITE or INVENTORY" - `rentalDiscountPlanId` (integer, required) Rental discount plan identifier Example: 1 - `startDate` (string, required) Start date - `endDate` (string) End date ## Response 400 fields ## Response 401 fields ## Response 403 fields ## Response 404 fields